Last Comment Bug 753444 - Remove device space pageSize from setPageSize()
: Remove device space pageSize from setPageSize()
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: x86 Mac OS X
-- normal (vote)
: Firefox 16
Assigned To: (away until Feb21) Kartikaya Gupta (email:kats@mozilla.com)
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 11:22 PDT by Jeff Muizelaar [:jrmuizel]
Modified: 2012-06-14 02:47 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Patch (11.34 KB, patch)
2012-06-13 09:38 PDT, (away until Feb21) Kartikaya Gupta (email:kats@mozilla.com)
jmuizelaar: review+
Details | Diff | Splinter Review

Description User image Jeff Muizelaar [:jrmuizel] 2012-05-09 11:22:32 PDT
We currently convert the device space page size to be scaled by our current zoom. We should be able to just do this conversion from the cssPageSize. This will remove three of the parameters to setPageSize(). We should also make sure that we change the condition for calling setPageSize() to be a change in the CSS pixel size.
Comment 1 User image (away until Feb21) Kartikaya Gupta (email:kats@mozilla.com) 2012-06-13 09:38:29 PDT
Created attachment 632738 [details] [diff] [review]
Patch
Comment 2 User image Jeff Muizelaar [:jrmuizel] 2012-06-13 10:44:36 PDT
Comment on attachment 632738 [details] [diff] [review]
Patch

This looks lovely to me.
Comment 3 User image (away until Feb21) Kartikaya Gupta (email:kats@mozilla.com) 2012-06-13 10:51:45 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/636b108f9729
Comment 4 User image Ed Morley [:emorley] 2012-06-14 02:47:40 PDT
https://hg.mozilla.org/mozilla-central/rev/636b108f9729

Note You need to log in before you can comment on or make changes to this bug.